Subject: Re: Logging in as SYSTEM (was Re: Quick password question...)
From: Christopher January <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: [email-masked]
Date: Thu, 5 Sep 2002 16:32:43 +0100

On Thursday 05 Sep 2002 4:01 pm, you wrote:
> Chris,
>
> Did you mean to reply-all?
>
> On Thu, Sep 05, 2002 at 02:37:50PM +0100, Christopher January wrote:
> > On Thursday 05 Sep 2002 1:58 pm, Jason Tishler wrote:
> > > On Thu, Sep 05, 2002 at 11:14:17AM +0200, Bjoern Kahl AG Resy wrote:
> > > > I thought that is impossible ...)
> >
> > I have the source code to a program that does su. I'll try to make it
> > into a Cygwin program one day.
>
> Don't you need a daemon (i.e., service) able to switch user context
> (e.g., running under LocalSystem) to pull this off?
IIRC you can give an account certain priveleges which means it can do this 
itself.
There were two program I was thinking of. One just opens a shell as the SYSTEM 
user, the other logs on a user and runs a program as them (when given the 
correct password).

Chris

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/